summaryrefslogtreecommitdiffstats
path: root/crypto/heimdal/mkinstalldirs
diff options
context:
space:
mode:
authormarkm <markm@FreeBSD.org>2000-01-09 20:58:00 +0000
committermarkm <markm@FreeBSD.org>2000-01-09 20:58:00 +0000
commit5f68254a360fdb4f3ebc30f6ad6507556425dd0a (patch)
treea96b9cd24173c10bba3fd7e2acf5d68e5bb0773e /crypto/heimdal/mkinstalldirs
parentd88c9767e1793993cc2242ccfb9a8ba002a061c6 (diff)
parent4ecbd6db44d79348bc815f31096e53104f50838b (diff)
downloadFreeBSD-src-5f68254a360fdb4f3ebc30f6ad6507556425dd0a.zip
FreeBSD-src-5f68254a360fdb4f3ebc30f6ad6507556425dd0a.tar.gz
This commit was generated by cvs2svn to compensate for changes in r55682,
which included commits to RCS files with non-trunk default branches.
Diffstat (limited to 'crypto/heimdal/mkinstalldirs')
-rwxr-xr-xcrypto/heimdal/mkinstalldirs40
1 files changed, 40 insertions, 0 deletions
diff --git a/crypto/heimdal/mkinstalldirs b/crypto/heimdal/mkinstalldirs
new file mode 100755
index 0000000..018b680
--- /dev/null
+++ b/crypto/heimdal/mkinstalldirs
@@ -0,0 +1,40 @@
+#! /bin/sh
+# mkinstalldirs --- make directory hierarchy
+# Author: Noah Friedman <friedman@prep.ai.mit.edu>
+# Created: 1993-05-16
+# Public domain
+
+# $Id: mkinstalldirs,v 1.1 1996/10/22 22:25:14 joda Exp $
+
+errstatus=0
+
+for file
+do
+ set fnord `echo ":$file" | sed -ne 's/^:\//#/;s/^://;s/\// /g;s/^#/\//;p'`
+ shift
+
+ pathcomp=
+ for d
+ do
+ pathcomp="$pathcomp$d"
+ case "$pathcomp" in
+ -* ) pathcomp=./$pathcomp ;;
+ esac
+
+ if test ! -d "$pathcomp"; then
+ echo "mkdir $pathcomp" 1>&2
+
+ mkdir "$pathcomp" || lasterr=$?
+
+ if test ! -d "$pathcomp"; then
+ errstatus=$lasterr
+ fi
+ fi
+
+ pathcomp="$pathcomp/"
+ done
+done
+
+exit $errstatus
+
+# mkinstalldirs ends here
OpenPOWER on IntegriCloud